Your chat starts, newest first
curl --request GET \
--url https://patch.gg/api/v1/me/chat-starts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/chat-starts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/chat-starts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "browser_game",
"agent": "<string>",
"project": "<string>",
"games": [
{
"name": "Bloons TD 6",
"role": "host",
"store": "steam",
"ref": "960090",
"host_game": "<string>"
}
],
"created_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Chats
Your chat starts, newest first
GET
/
me
/
chat-starts
Your chat starts, newest first
curl --request GET \
--url https://patch.gg/api/v1/me/chat-starts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/chat-starts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/chat-starts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "browser_game",
"agent": "<string>",
"project": "<string>",
"games": [
{
"name": "Bloons TD 6",
"role": "host",
"store": "steam",
"ref": "960090",
"host_game": "<string>"
}
],
"created_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
An API key (pch_...) or the token from pch login.
Query Parameters
Required range:
1 <= x <= 100The next_cursor from the previous page
Maximum string length:
500